Download it now!
Bug 115892 - Opening a Style dialog's Font tab adds Asian text size to the properties set in the style
Summary: Opening a Style dialog's Font tab adds Asian text size to the properties set ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-20 21:28 UTC by Mike Kaganski
Modified: 2019-01-25 06:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-02-20 21:28:41 UTC
Opening a Style (Character or Paragraph) dialog's Font tab adds Asian text size (11) to the properties set in the style (visible on the Organizer tab).

The Asian text font size is 10,5 pt by default. When the Fonts tab is opened, the fractional font size is wrongly detected as modified wrt initial; so the property is added to the style. It's impossible to remove this setting from the style afterwards.
Comment 1 Mike Kaganski 2018-02-20 21:36:50 UTC
https://gerrit.libreoffice.org/50066
Comment 2 Commit Notification 2018-02-21 07:11:53 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f00e891f3369f7b8c2532634d9ff4ab19da17c33

tdf#115892: properly get the box' saved value

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.